Loading...
Searching...
No Matches
Function concepts
Functions

Concept definitions for function interfaces. More...

Collaboration diagram for Function concepts:

## Classes

struct | Dune::Functions::Concept::Callable< Args >
| Concept objects that can be called with given argument list. More...
struct | Dune::Functions::Concept::Function< Range(Domain)>
| Concept for a function mapping `Domain` to `Range`. More...
struct | Dune::Functions::Concept::DifferentiableFunction< Range(Domain), DerivativeTraits >
| Concept for a differentiable function mapping `Domain` to `Range`. More...
struct | Dune::Functions::Concept::LocalFunction< Range(Domain), LocalContext >
| Concept for a local function mapping `Domain` to `Range`. More...
struct | Dune::Functions::Concept::DifferentiableLocalFunction< Range(Domain), LocalContext, DerivativeTraits >
| Concept for a differentiable local function mapping `Domain` to `Range`. More...
struct | Dune::Functions::Concept::EntitySet
| Concept for an entity set for a Concept::GridFunction<Range(Domain), EntitySet, DerivativeTraits>. More...
struct | Dune::Functions::Concept::GridFunction< Range(Domain), EntitySet >
| Concept for a grid function mapping `Domain` to `Range`. More...
struct | Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >
| Concept for a differentiable grid function mapping `Domain` to `Range`. More...
struct | Dune::Functions::Concept::GridViewFunction< Range(Domain), GridView >
| Concept for a grid view function mapping `Domain` to `Range`. More...
struct | Dune::Functions::Concept::DifferentiableGridViewFunction< Range(Domain), GridView, DerivativeTraits >
| Concept for a differentiable grid view function mapping `Domain` to `Range`. More...

## Functions

template<class F, class Signature>
static constexpr bool | Dune::Functions::Concept::isFunction ()
| Check if F models the Function concept with given signature.
template<class F, class Signature, template< class > class DerivativeTraits>
static constexpr bool | Dune::Functions::Concept::isFunction (F &&f, SignatureTag< Signature, DerivativeTraits >)
| Check if f models the Function concept with given signature.
template<class F, class Signature, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | Dune::Functions::Concept::isDifferentiableFunction ()
| Check if F models the DifferentiableFunction concept with given signature.
template<class F, class Signature, template< class > class DerivativeTraits>
static constexpr bool | Dune::Functions::Concept::isDifferentiableFunction (F &&f, SignatureTag< Signature, DerivativeTraits >)
| Check if f models the DifferentiableFunction concept with given signature.
template<class F, class Signature, class LocalContext>
static constexpr bool | Dune::Functions::Concept::isLocalFunction ()
| Check if F models the LocalFunction concept with given signature and local context.
template<class F, class Signature, class LocalContext, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | Dune::Functions::Concept::isDifferentiableLocalFunction ()
| Check if F models the DifferentiableLocalFunction concept with given signature and local context.
template<class E>
static constexpr bool | Dune::Functions::Concept::isEntitySet ()
| Check if F models the GridFunction concept with given signature and entity set.
template<class F, class Signature, class EntitySet>
static constexpr bool | Dune::Functions::Concept::isGridFunction ()
| Check if F models the GridFunction concept with given signature and entity set.
template<class F, class Signature, class EntitySet, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | Dune::Functions::Concept::isDifferentiableGridFunction ()
| Check if F models the DifferentiableGridFunction concept with given signature and entity set.
template<class F, class Signature, class GridView>
static constexpr bool | Dune::Functions::Concept::isGridViewFunction ()
| Check if F models the GridViewFunction concept with given signature.
template<class F, class Signature, class GridView, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | Dune::Functions::Concept::isDifferentiableGridViewFunction ()
| Check if F models the DifferentiableGridViewFunction concept with given signature.

## Detailed Description

Concept definitions for function interfaces.

## Function Documentation

## isDifferentiableFunction() [1/2]

template<class F, class Signature, template< class > class DerivativeTraits = DefaultDerivativeTraits>

constexpr bool Dune::Functions::Concept::isDifferentiableFunction | ( |  | ) |

static constexpr

Check if F models the DifferentiableFunction concept with given signature.

## isDifferentiableFunction() [2/2]

template<class F, class Signature, template< class > class DerivativeTraits>

constexpr bool Dune::Functions::Concept::isDifferentiableFunction | ( | F && | f,
|  | SignatureTag< Signature, DerivativeTraits > | )

static constexpr

Check if f models the DifferentiableFunction concept with given signature.

## isDifferentiableGridFunction()

template<class F, class Signature, class EntitySet, template< class > class DerivativeTraits = DefaultDerivativeTraits>

constexpr bool Dune::Functions::Concept::isDifferentiableGridFunction | ( |  | ) |

static constexpr

Check if F models the DifferentiableGridFunction concept with given signature and entity set.

## isDifferentiableGridViewFunction()

template<class F, class Signature, class GridView, template< class > class DerivativeTraits = DefaultDerivativeTraits>

constexpr bool Dune::Functions::Concept::isDifferentiableGridViewFunction | ( |  | ) |

static constexpr

Check if F models the DifferentiableGridViewFunction concept with given signature.

## isDifferentiableLocalFunction()

template<class F, class Signature, class LocalContext, template< class > class DerivativeTraits = DefaultDerivativeTraits>

constexpr bool Dune::Functions::Concept::isDifferentiableLocalFunction | ( |  | ) |

static constexpr

Check if F models the DifferentiableLocalFunction concept with given signature and local context.

## isEntitySet()

template<class E>

constexpr bool Dune::Functions::Concept::isEntitySet | ( |  | ) |

static constexpr

Check if F models the GridFunction concept with given signature and entity set.

## isFunction() [1/2]

template<class F, class Signature>

constexpr bool Dune::Functions::Concept::isFunction | ( |  | ) |

static constexpr

Check if F models the Function concept with given signature.

## isFunction() [2/2]

template<class F, class Signature, template< class > class DerivativeTraits>

constexpr bool Dune::Functions::Concept::isFunction | ( | F && | f,
|  | SignatureTag< Signature, DerivativeTraits > | )

static constexpr

Check if f models the Function concept with given signature.

## isGridFunction()

template<class F, class Signature, class EntitySet>

constexpr bool Dune::Functions::Concept::isGridFunction | ( |  | ) |

static constexpr

Check if F models the GridFunction concept with given signature and entity set.

## isGridViewFunction()

template<class F, class Signature, class GridView>

constexpr bool Dune::Functions::Concept::isGridViewFunction | ( |  | ) |

static constexpr

Check if F models the GridViewFunction concept with given signature.

## isLocalFunction()

template<class F, class Signature, class LocalContext>

constexpr bool Dune::Functions::Concept::isLocalFunction | ( |  | ) |

static constexpr

Check if F models the LocalFunction concept with given signature and local context.